$ErrorActionPreference = 'Stop';

$packageName = 'AquaSnap'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://www.nurgo-software.com/download/AquaSnap.msi'
$url64      = 'http://www.nurgo-software.com/download/AquaSnap.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'AquaSnap*'

  checksum      = 'bad69f551ecea46d5591dc6277aa8a5f093848a8ecbe20377fcc0a39b226e90d'
  checksumType  = 'sha256'
  checksum64    = 'bad69f551ecea46d5591dc6277aa8a5f093848a8ecbe20377fcc0a39b226e90d'
  checksumType64= 'sha256'

  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
